> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update client

> Endpoint that gives the possibility to update an accounting client



## OpenAPI

````yaml patch /consumers/{consumer_id}/accounting/clients/{client_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/clients/{client_id}:
    patch:
      tags:
        - Accounting
        - Clients
      summary: Update client
      description: Endpoint that gives the possibility to update an accounting client
      operationId: accounting_update_client
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: client_id
          in: path
          required: true
          schema:
            type: string
            title: Client Id
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientItemUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientItemOut'
        '400':
          content:
            application/json:
              examples:
                Invalid company_id:
                  value:
                    message: The format of the company_id doesn't seem to be correct.
                    status: error
                Invalid VAT Number:
                  value:
                    message: >-
                      The VAT number doesn't seem to be correct. Please remove
                      dots and whitespaces. The expected format is the
                      following: BE0784930037
                    status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              example:
                message: The client/supplier doesn't exist in the accounting system.
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.clients
components:
  schemas:
    ClientItemUpdate:
      properties:
        external_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: External Reference
          description: >-
            External identifier used to link the client in the accounting system
            with the corresponding client reference in your own system.
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the first name of the client.
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the last name of the client.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: >-
            Full name or legal name of the client (individual or company). This
            is the name that will be displayed in the accounting software.
        function:
          anyOf:
            - type: string
            - type: 'null'
          title: Function
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the function of the client.
        is_company:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Company
          description: Indicates if the client is an individual or a company.
          default: true
        company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Id
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the id of the company linked to the client.
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone number of the client.
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
          description: Mobile phone number of the client.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email address of the client.
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: 'Language of the client. Format: ISO 639-1 codes.'
        internal_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internal Notes
          description: Internal notes about the client.
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: Website of the client.
        vat:
          anyOf:
            - type: string
            - type: 'null'
          title: Vat
          description: >-
            VAT number of the client, used for tax compliance and invoicing.
            This value is unique per company and can be used as a reliable
            identifier to match clients between systems.
        company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Number
          description: National identification number of the company.
        iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Iban
          description: IBAN account number of the client.
        bank_account:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Account
          description: Bank account number of the client.
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Indicates the currency of the client (e.g., EUR).
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Indicates if the client is active.
          default: true
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressItemOut'
              type: array
            - type: 'null'
          title: Addresses
          description: List of addresses associated with the client.
          default: []
      type: object
      title: ClientItemUpdate
    ClientItemOut:
      properties:
        external_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: External Reference
          description: >-
            External identifier used to link the client in the accounting system
            with the corresponding client reference in your own system.
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the first name of the client.
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the last name of the client.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: >-
            Full name or legal name of the client (individual or company). This
            is the name displayed in the accounting software.
        function:
          anyOf:
            - type: string
            - type: 'null'
          title: Function
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the function of the client.
        is_company:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Company
          description: Indicates if the client is an individual or a company.
          default: true
        company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Id
          description: >-
            Only used when the client is an individual (is_company=false).
            Indicates the id of the company linked to the client.
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone number of the client.
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
          description: Mobile phone number of the client.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email address of the client.
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          description: 'Language of the client. Format: ISO 639-1 codes.'
        internal_notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internal Notes
          description: Internal notes about the client.
        website:
          anyOf:
            - type: string
            - type: 'null'
          title: Website
          description: Website of the client.
        vat:
          anyOf:
            - type: string
            - type: 'null'
          title: Vat
          description: VAT number of the client.
        company_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Number
          description: National identification number of the company.
        iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Iban
          description: IBAN account number of the client. DEPRECATED see bank_accounts
        bank_account:
          anyOf:
            - type: string
            - type: 'null'
          title: Bank Account
          description: Bank account number of the client. DEPRECATED see bank_accounts
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Indicates the currency of the client (e.g., EUR).
        active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Active
          description: Indicates if the client is active.
          default: true
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: >-
            Ledger account number assigned to the customer in the accounting
            system as it will appear in the official accounting export file
            (FEC, SIE, iXBRL, etc.).
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: >-
            Id of the client in the accounting software. This is the unique
            identifier used to reference the client in the system.
        last_updated_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Updated On
          description: The last time the client has been updated.
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressItemOut'
              type: array
            - type: 'null'
          title: Addresses
          description: List of addresses associated with the client.
          default: []
        third_party_account:
          anyOf:
            - type: string
            - type: 'null'
          title: Third Party Account
          description: >-
            Third party account number/code representing the client in the
            accounting software.
        bank_accounts:
          anyOf:
            - items:
                $ref: '#/components/schemas/BankAccountsItem'
              type: array
            - type: 'null'
          title: Bank Accounts
          description: List of bank accounts information associated with the client.
      type: object
      title: ClientItemOut
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    AddressItemOut:
      properties:
        address_type:
          $ref: '#/components/schemas/AddressType'
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Format: ISO 3166-1 codes.'
      type: object
      required:
        - address_type
      title: AddressItemOut
    BankAccountsItem:
      properties:
        is_primary:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Primary
          description: >-
            Indicates whether this is the default bank account for this
            third-party. Only one bank account per third-party can have
            is_primary set to true. Defaults to true.
          default: true
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Indicates the currency of the bank account (e.g., EUR).
        iban:
          anyOf:
            - type: string
            - type: 'null'
          title: Iban
          description: >-
            International Bank Account Number (ISO 13616). Present for countries
            in the IBAN scheme (e.g., France, Germany, United Kingdom). null for
            countries that do not participate in the IBAN scheme (e.g., US,
            Canada, Australia).
        bic_swift:
          anyOf:
            - type: string
            - type: 'null'
          title: Bic Swift
          description: >-
            Bank Identifier Code (ISO 9362), also known as SWIFT code. 8 or 11
            characters. Optional for domestic payments, but required for
            international wire transfers.
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: >-
            Local bank account number. Used when the country does not
            participate in the IBAN scheme (e.g., US, CA, AU). Always paired
            with a routing_code.
        routing_code:
          anyOf:
            - $ref: '#/components/schemas/RoutingCodeItem'
            - type: 'null'
          description: >-
            Domestic routing identifier for the bank. Required when no iban is
            present. Contains two subfields: type and value
      type: object
      title: BankAccountsItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AddressType:
      type: string
      enum:
        - main
        - delivery
        - invoice
      title: AddressType
    RoutingCodeItem:
      properties:
        type:
          $ref: '#/components/schemas/BankAccountRoutingType'
          description: >-
            The routing format. Possible values: ach (US), sort_code (UK), bsb
            (AU), transit (CA), ifsc (IN), clabe (MX).
          default: unknown
        value:
          anyOf:
            - type: string
            - type: 'null'
          title: Value
          description: The raw routing code value, without spaces or dashes.
      type: object
      title: RoutingCodeItem
    BankAccountRoutingType:
      type: string
      enum:
        - unknown
        - ach
        - sort_code
        - bsb
        - transit
        - ifsc
        - clabe
      title: BankAccountRoutingType
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````